Bug 141962 - Sound on AC'97 was heard in post install mode but after reboot I have a silence
Sound on AC'97 was heard in post install mode but after reboot I have a silence
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2004-12-06 09:32 EST by Dmitry Yeskin
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:56:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Yeskin 2004-12-06 09:32:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 2.6.9-1.667; X11; i686) (KHTML, like Gecko)

Description of problem:
Hello! 
 
I have a sound bug\problem. 
 
When installation was completed and in post install mode I hear the 
sound. But after I restarted a PC the sound is gone. I tried many 
ways to fix it but without results. 
 
Look, here is my details: 
 
[root@inquisitor ~]# system-config-soundcard 
Simple mixer control 'PCM',0 
  Capabilities: pswitch pswitch-joined 
  Playback channels: Mono 
  Mono: Playback [on] 
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : 
Signed 16 bit Little Endian, Rate 44100 Hz, Stereo 
Warning: rate is not accurate (requested = 44100Hz, got = 48000Hz) 
         please, try the plug plugin (-Dplug:hw:0,0) 
 
[root@inquisitor ~]# dmesg (after system-config-soundcard)
application sox uses obsolete OSS audio interface

[root@inquisitor ~]# uname -r 
2.6.9-1.667 
 
[root@inquisitor ~]# lsmod 
Module                  Size  Used by 
i915                   76869  2 
parport_pc             24705  1 
lp                     11565  0 
parport                41737  2 parport_pc,lp 
autofs4                24005  0 
i2c_dev                10433  0 
i2c_core               22081  1 i2c_dev 
sunrpc                160421  1 
ipt_REJECT              6465  1 
ipt_state               1857  3 
ip_conntrack           40693  1 ipt_state 
iptable_filter          2753  1 
ip_tables              16193  3 ipt_REJECT,ipt_state,iptable_filter 
dm_mod                 54741  0 
button                  6481  0 
battery                 8517  0 
ac                      4805  0 
md5                     4033  1 
ipv6                  232577  12 
uhci_hcd               31449  0 
ehci_hcd               31557  0 
snd_intel8x0           34829  0 
snd_ac97_codec         64401  1 snd_intel8x0 
snd_pcm_oss            47609  0 
snd_mixer_oss          17217  1 snd_pcm_oss 
snd_pcm                97993  2 snd_intel8x0,snd_pcm_oss 
snd_timer              29765  1 snd_pcm 
snd_page_alloc          9673  2 snd_intel8x0,snd_pcm 
gameport                4801  1 snd_intel8x0 
snd_mpu401_uart         8769  1 snd_intel8x0 
snd_rawmidi            26725  1 snd_mpu401_uart 
snd_seq_device          8137  1 snd_rawmidi 
snd                    54053  9 
snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device 
soundcore               9889  1 snd 
8139too                26305  0 
mii                     4673  1 8139too 
ext3                  116809  3 
jbd                    74969  1 ext3 
 
[root@inquisitor ~]# lspci 
00:00.0 Host bridge: Intel Corp. 82845G/GL[Brookdale-G]/GE/PE DRAM 
Controller/Host-Hub Interface (rev 03) 
00:02.0 VGA compatible controller: Intel Corp. 
82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03) 
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 02) 
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 02) 
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 02) 
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 
EHCI Controller (rev 02) 
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev 82) 
00:1f.0 ISA bridge: Intel Corp. 82801DB/DBL (ICH4/ICH4-L) LPC 
Interface Bridge (rev 02) 
00:1f.1 IDE interface: Intel Corp. 82801DB (ICH4) IDE Controller (rev 
02) 
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02) 
03:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL-8139/8139C/8139C+ (rev 10) 
 
[root@inquisitor ~]# vi /etc/modprobe.conf 
alias eth0 8139too 
alias snd-card-0 snd-intel8x0 
 
options snd-card-0 index=0 
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 
&& /usr/sbin/alsactl restore >/dev/null 2>&1 || : 
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 
|| : ; }; /sbin/modprobe -r --ignore-remove snd-intel8x0 
 
alias usb-controller ehci-hcd 
alias usb-controller1 uhci-hcd 
# --- BEGIN: Generated by ALSACONF, do not edit. --- 
# --- ALSACONF verion 1.0.7 --- 
alias snd-card-0 snd-intel8x0 
alias sound-slot-0 snd-intel8x0 
# --- END: Generated by ALSACONF, do not edit. --- 
 
# ALSA portion 
alias char-major-116 snd 
alias snd-card-0 snd-intel8x0 
# module options should go here 
 
# OSS/Free portion 
alias char-major-14 soundcore 
alias sound-slot-0 snd-card-0 
 
# card #1 
alias sound-service-0-0 snd-mixer-oss 
alias sound-service-0-1 snd-seq-oss 
alias sound-service-0-3 snd-pcm-oss 
alias sound-service-0-8 snd-seq-oss 
alias sound-service-0-12 snd-pcm-oss 
 
 
Also I tried to add line to /etc/hotplug/blacklist - if I add it I 
got an error in KDE from sound server - that it's unable to work 
correctly and also in that situation all sound utilities giving me an 
errors that sound card not installed. 
 
I also tryed to play with alsaconf, but no success. And also it's 
interesting to me - the value of PCM can't be changed at all - there is a zero. 
 
Kmix show all great. But again no sound. 
 
I don't know what to do. Tried to install FC3 on other PC but the 
same problem. 

Please help me. 
 
Thanks 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3 - I hear the sound in post install mode
2. Reboot and no sound anymore
3. No sound anymore after any reboots
    

Expected Results:  Very want to hear sound, view movies with sound, play games with 
sound, especially when I have 2,6Ghz with 512Mb of RAM... Cause all 
working fine, except sound. 

Additional info:
Comment 1 Dmitry Yeskin 2004-12-09 11:06:45 EST
Hello! 
 
Any updates on this bug? 
 
Very need a sound... 
 
Thanks 
Comment 2 Dmitry Yeskin 2004-12-23 07:36:20 EST
Hey, can somebody answer me? Do I need to remove FC3 and install 
other system to hear a sound? What I need to do? 
 
I am sure it's simple if sound was there in post install mode. I am 
sure I even don't need to recompile a kernel. But can somebody tell 
me what to do exactly? 
 
Thanks. 
Comment 3 Dave Jones 2005-07-15 15:31:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-12-07 02:56:03 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.